'
' LOGBOOK.BAS
'
' Definitions and constants for use with the
' LOGBOOK custom control.
'

Option Explicit

' Possible status of the logbook object:
Global Const LOG_OFF = 0
Global Const LOG_PAUSED = 1
Global Const LOG_ON = 2
Global Const LOG_ERROR = 3

' Rreason for a change of status:
Global Const LOG_REAS_ACTION = 0
Global Const LOG_REAS_MSG_LIMIT = 1
Global Const LOG_REAS_TIME_OUT = 2
Global Const LOG_REAS_ERROR = 3

' Values for the .Action property
Global Const LOG_ACTION_START = 0
Global Const LOG_ACTION_STOP = 1
Global Const LOG_ACTION_PAUSE = 2
Global Const LOG_ACTION_RESUME = 3
Global Const LOG_ACTION_STATUS = 4
Global Const LOG_ACTION_RESET = 5
Global Const LOG_ACTION_PROPS = 6	' OCX version ONLY


' Values for time tracking style
Global Const LOG_TIME_NONE = 0
Global Const LOG_TIME_OF_DAY = 1
Global Const LOG_TIME_SINCE_START = 2
Global Const LOG_TIME_DIFFERENCE = 3

' Values for message severity levels
Global Const LOG_LEVEL_DEBUG = 0
Global Const LOG_LEVEL_DIAGN = 1
Global Const LOG_LEVEL_INFO = 2     'this is the default threshold
Global Const LOG_LEVEL_WARN = 3
Global Const LOG_LEVEL_ERROR = 4
Global Const LOG_LEVEL_ALERT = 5
Global Const LOG_LEVEL_CRITICAL = 6

